Package org.drinkless.tdlib

# Class TdApi.PersonalDocument

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PersonalDocument

Enclosing class:
  `TdApi`

public static class TdApi.PersonalDocument extends TdApi.Object
A personal document, containing some information about a user.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DatedFile[]`
  `files`
  List of files containing the pages of the document.
  `TdApi.DatedFile[]`
  `translation`
  List of files containing a certified English translation of the document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonalDocument()`
  A personal document, containing some information about a user.
  `PersonalDocument(TdApi.DatedFile[] files, TdApi.DatedFile[] translation)`
  A personal document, containing some information about a user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### files

    public TdApi.DatedFile[] files
    List of files containing the pages of the document.

  - ### translation

    public TdApi.DatedFile[] translation
    List of files containing a certified English translation of the document.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PersonalDocument

    public PersonalDocument()
    A personal document, containing some information about a user.

  - ### PersonalDocument

    public PersonalDocument(TdApi.DatedFile[] files, TdApi.DatedFile[] translation)
    A personal document, containing some information about a user.
    Parameters:
      `files` - List of files containing the pages of the document.
      `translation` - List of files containing a certified English translation of the document.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR